Mantis Bug Tracker

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000684EMStudioGeneralpublic2012-09-09 15:372012-10-15 08:31
ReporterFred 
Assigned ToFred 
PriorityimmediateSeverityblockReproducibilityalways
StatusassignedResolutionreopened 
PlatformAllOSAllOS VersionAll
Product Version0.0.1-SNAPSHOT 
Target Version0.0.1Fixed in Version0.0.1 
Summary0000684: Proper abstractions and actions for widgets and memory
DescriptionSymptom: save on flash only block tries to write ram

Solution:

All widgets should be given a memory object on which to operate. What controls they show and their behaviour can be altered by them at run time based on what type of memory it is. The memory object should have a consistent API with the same calls regardless of type of memory. If an inappropriate call is made, throw up a dialog box and print to console "make mike fix me". Then tweak gui widgets to behave properly as per spread sheet attached.
Steps To Reproducetry to save flash only hex block
Additional Informationmake the code as clean as possible. this is curently blocking users doing key things as mtx doesn't even try to do this functionality.
TagsNo tags attached.
Issue TypeBug
Attached Files? file icon TunerActionsStates.ods [^] (13,579 bytes) 2012-09-09 15:37

- Relationships

-  Notes
User avatar (0002081)
Fred (administrator)
2012-09-09 15:44

I guess the ram write calls to a ramless location could be silent and you could just not send those with the hex view. That would make the tables much simpler because they'd work the same with or without ram backing, just a ghost write for each edit.
User avatar (0002212)
malcom2073 (manager)
2012-09-22 03:34

Believe this is fixed as of fa5aaf340fbef198d43c68a3e39b18356c9bd605, pending real testing.
User avatar (0002225)
DeuceEFI (updater)
2012-09-27 01:20

What I did to test:

I opened hex table 0xC003, changed location 0061 from 00 to b8 then clicked on "Load from Flash" button and it warned me about it might wipe out the changes, I click the "Yes" button and I get an error saying "Command failed with error: invalidMemoryActionforID".

http://pastebin.com/22LaCzbL [^]
User avatar (0002226)
ToxicGumbo (reporter)
2012-09-27 04:20

Two problems I'm seeing:

- Using the hash above in both Windows 7 64bit and Ubuntu 11.04 64bit: Windows menu > EMS Info, double click a table (ie. VE Table), click the "Save to Flash" button = EMStudio will respond with the following pop-up error: "Command failed with error: invalidSizeOffsetCombination".

- Using Windows, if I click on the a table listing (ie. VE Table) repeatedly like a maniac, the program stops working and crashes.
User avatar (0002227)
malcom2073 (manager)
2012-09-27 21:35

ToxicGumbo: Can you pastebin the entire console output for the application, start to finish where you get this error?
User avatar (0002228)
malcom2073 (manager)
2012-09-27 23:51

I have been unable to reproduce the "- Using the hash above in both Windows 7 64bit and Ubuntu 11.04 64bit: Windows menu > EMS Info, double click a table (ie. VE Table), click the "Save to Flash" button = EMStudio will respond with the following pop-up error: "Command failed with error: invalidSizeOffsetCombination". " error.

Crashing on rapid clicking of emsinfoview's 3D table is fixed in hash 49de0a10f55cf5cf1fdc59f696e65523095e2b6f
User avatar (0002229)
DeuceEFI (updater)
2012-09-28 00:06

I can confirm my issue ("Command failed with error: invalidMemoryActionforID") was resolved in hash 195c548741d56a739a5c9b2d05200b2b879290b5 for both Windows 7 64bit and Lubuntu 12.04 32bit.

I am unable to reproduce ToxicGumbo's issue in either Windows 7 64bit or Lubuntu 12.04 32bit:
- Using the hash above in both Windows 7 64bit and Ubuntu 11.04 64bit: Windows menu > EMS Info, double click a table (ie. VE Table), click the "Save to Flash" button = EMStudio will respond with the following pop-up error: "Command failed with error: invalidSizeOffsetCombination".

I am able to reproduce ToxicGumbo's following issue:
- Using Windows, if I click on the a table listing (ie. VE Table) repeatedly like a maniac, the program stops working and crashes. -> Actually, malcom2073 figured out all you had to do was double click twice on a table to crash EMStudio.

Since EMStudio is run from the .exe file I was not able to capture any console output. However, I was able to reproduce this issue in Lubuntu and it caused a "Segmentation fault".
User avatar (0002232)
malcom2073 (manager)
2012-09-28 02:31

All outstanding issues listed here are resolved in 49de0a10f55cf5cf1fdc59f696e65523095e2b6f except ToxicGumbo's, which has been moved to a new issue 0000721
User avatar (0002234)
DeuceEFI (updater)
2012-09-28 02:34

I have confirmed that this issue has been resolved as of hash 49de0a10f55cf5cf1fdc59f696e65523095e2b6f in both Windows 7 64bit and Lubuntu 12.04 32bit.
User avatar (0002237)
Fred (administrator)
2012-09-28 06:57

This is my issue, therefore I close it, or not. Reopening as resolved.
User avatar (0002241)
Fred (administrator)
2012-09-28 18:24

Speaking to Mike on skype now. Doesn't handle flash only 3d/2d tables, yet.
User avatar (0002243)
malcom2073 (manager)
2012-09-28 20:08

Fixed as of b8bea39eca2551e48d7ccdb2498ac5dc3ba78d98

Waiting on Fred to produce a firmware that can properly test this.
User avatar (0002253)
malcom2073 (manager)
2012-10-02 00:55

Assigning this to Fred, so he knows that this is waiting on a "custom" firmware for real testing of this :)

(And to make it disappear from my screen)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker